Package org.apache.tapestry5.jcache.internal

## Class TapestryIoCInternalCacheKeyInvocationContext<A extends java.lang.annotation.Annotation>

- java.lang.Object
- - org.jsr107.ri.annotations.AbstractInternalCacheInvocationContext<I,​A>
  - - org.jsr107.ri.annotations.AbstractInternalCacheKeyInvocationContext<MethodInvocation,​A>
    - - org.apache.tapestry5.jcache.internal.TapestryIoCInternalCacheKeyInvocationContext<A>

- Type Parameters:
    `A` - The type of annotation this context information is for. One of `CacheResult`, `CachePut`, `CacheRemove`, or `CacheRemoveAll`.
  All Implemented Interfaces:
    `javax.cache.annotation.CacheInvocationContext<A>`, `javax.cache.annotation.CacheKeyInvocationContext<A>`, `javax.cache.annotation.CacheMethodDetails<A>`, `org.jsr107.ri.annotations.InternalCacheInvocationContext<A>`, `org.jsr107.ri.annotations.InternalCacheKeyInvocationContext<A>`

      public class TapestryIoCInternalCacheKeyInvocationContext<A extends java.lang.annotation.Annotation>
      extends org.jsr107.ri.annotations.AbstractInternalCacheKeyInvocationContext<MethodInvocation,​A>

  Tapestry-IoC specific cache key invocation context using `MethodInvocation`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TapestryIoCInternalCacheKeyInvocationContext​(org.jsr107.ri.annotations.StaticCacheKeyInvocationContext<A> staticCacheKeyInvocationContext, MethodInvocation invocation)` | Create new cache key invocation context for the static context and invocation

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.reflect.Method` | `getMethod​(MethodInvocation invocation)` |
    `protected java.lang.Object[]` | `getParameters​(MethodInvocation invocation)` |
    `protected java.lang.Object` | `getTarget​(MethodInvocation invocation)` |

    - ### Methods inherited from class org.jsr107.ri.annotations.AbstractInternalCacheKeyInvocationContext

      `getKeyParameters, getStaticCacheKeyInvocationContext, getValueParameter`

    - ### Methods inherited from class org.jsr107.ri.annotations.AbstractInternalCacheInvocationContext

      `getAllParameters, getAnnotations, getCacheAnnotation, getCacheName, getMethod, getStaticCacheInvocationContext, getTarget, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.cache.annotation.CacheInvocationContext

      `getAllParameters, getTarget, unwrap`

    - ### Methods inherited from interface javax.cache.annotation.CacheMethodDetails

      `getAnnotations, getCacheAnnotation, getCacheName, getMethod`

- - ### Constructor Detail

    - #### TapestryIoCInternalCacheKeyInvocationContext

          public TapestryIoCInternalCacheKeyInvocationContext​(org.jsr107.ri.annotations.StaticCacheKeyInvocationContext<A> staticCacheKeyInvocationContext,
                                                              MethodInvocation invocation)

      Create new cache key invocation context for the static context and invocation
      Parameters:
        `staticCacheKeyInvocationContext` - Static information about the invoked method
        `invocation` - The AOP Alliance invocation context

  - ### Method Detail

    - #### getParameters

          protected java.lang.Object[] getParameters​(MethodInvocation invocation)

      Overrides:
        `getParameters` in class `org.jsr107.ri.annotations.AbstractInternalCacheKeyInvocationContext<MethodInvocation,​A extends java.lang.annotation.Annotation>`

    - #### getMethod

          protected java.lang.reflect.Method getMethod​(MethodInvocation invocation)

      Overrides:
        `getMethod` in class `org.jsr107.ri.annotations.AbstractInternalCacheKeyInvocationContext<MethodInvocation,​A extends java.lang.annotation.Annotation>`

    - #### getTarget

          protected java.lang.Object getTarget​(MethodInvocation invocation)

      Overrides:
        `getTarget` in class `org.jsr107.ri.annotations.AbstractInternalCacheKeyInvocationContext<MethodInvocation,​A extends java.lang.annotation.Annotation>`